## base-config 2.67ubuntu19

=== debian/changelog ===
base-config (2.67ubuntu19) breezy; urgency=low

  * Always list restricted, universe, and multiverse in (commented-out by
    default) backports line (closes: Ubuntu #15066).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  6 Oct 2005 10:44:58 +0100

base-config (2.67ubuntu18) breezy; urgency=low

  * Use type to check for usplash_write, not which.
  * Display "Configuring the base system..." in usplash if usplash is
    running.
  * Update Ubuntu-specific translations from Rosetta: Greek, Hungarian,
    Polish, Portuguese, Brazilian Portuguese, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 14:05:46 +0100

base-config (2.67ubuntu17) breezy; urgency=low

  * Use archive.ubuntu.com for deb-src lines corresponding to
    ports.ubuntu.com deb lines (closes: Ubuntu #16461).
  * Update French translation (thanks, Sebastien Bacher).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Sep 2005 17:16:02 +0100

base-config (2.67ubuntu16) breezy; urgency=low

  * Fix the length of the X-preconfiguration part of pkgsel's progress bar.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2005 20:26:25 +0100

base-config (2.67ubuntu15) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Greek, Spanish,
    Finnish, French, Hungarian, Macedonian, Portuguese, Brazilian
    Portuguese, Slovak.
  * Restore old translations of base-config/install-problem from Debian:
    Greek, Hungarian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2005 19:11:33 +0100

base-config (2.67ubuntu14) breezy; urgency=low

  * Add commented-out backports lines to default sources.list (closes:
    Ubuntu #15066).
  * Redirect aptitude's stdin from /dev/null to make sure it never tries to
    get console input while running inside a progress bar.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 07:59:14 +0100

base-config (2.67ubuntu13) breezy; urgency=low

  * Only make usplash go away when running on the Linux console, and switch
    to tty1 before doing so.
  * Use more sensible usplash_write arguments, which it now supports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 15:04:48 +0100

base-config (2.67ubuntu12) breezy; urgency=low

  * Correct Ubuntu-specific Spanish translation of "Checking for CD-ROM..."
    (closes: Ubuntu #14482).
  * Update progress bar before running 'apt-get update' (closes: Ubuntu
    #14444).
  * Add ug and wo to base-config/language-packs choices.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Sep 2005 13:48:15 +0100

base-config (2.67ubuntu11) breezy; urgency=low

  * Stop /etc/cron.daily/apt from messing with the apt cache while pkgsel is
    running.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 18:06:18 +0100

base-config (2.67ubuntu10) breezy; urgency=low

  * If usplash is installed, make the splash screen go away on startup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 00:22:45 +0100

base-config (2.67ubuntu9) breezy; urgency=low

  * Display a single large progress bar rather than several smaller ones.
  * Multiply all progress waypoints by 10 to get better granularity.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 13:05:18 +0100

base-config (2.67ubuntu8) breezy; urgency=low

  * Explicitly stop the progress bar debconf frontend, to avoid hanging due
    to daemons holding debconf file descriptors open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 03:05:01 +0100

base-config (2.67ubuntu7) breezy; urgency=low

  * Display progress bars when installing hardware autodetection packages
    and popularity-contest.
  * archive-copier copies language packs as part of ship, not desktop, so
    move the ship cache into /var/cache/apt/archives before attempting to
    install them.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  6 Aug 2005 14:02:25 +0100

base-config (2.67ubuntu6) breezy; urgency=low

  * Install language-pack-gnome-$LL as well as language-pack-$LL by default.
    Kubuntu and Edubuntu will override this by preseeding.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 22:44:40 +0100

base-config (2.67ubuntu5) breezy; urgency=low

  * Mark pending update notifications as seen at the end of pkgsel rather
    than at the start of finish.
  * Stop installing mdetect; xorg 6.8.2-44 no longer uses it.
  * Wrap most package installation operations in progress bars. Requires
    debconf 1.4.56 and apt 0.6.40.
  * Now that pkgsel uses debconf almost throughout, it's difficult to drop
    back to aptitude when things fail. Fortunately, a number of people
    disliked that behaviour anyway, so we no longer do that. If there's a
    failure, you can either try re-running pkgsel from the base-config menu
    or else recover manually.
  * Display a progress bar while registering documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 18:24:08 +0100

base-config (2.67ubuntu4) breezy; urgency=low

  * $NONINTERACTIVE was renamed to $NEW in apt-setup. Adjust Ubuntu changes
    to cope.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jul 2005 12:23:45 +0100

base-config (2.67ubuntu3) breezy; urgency=low

  * We only really support installing the default suite, so never ask
    mirror/suite, and mark it untranslatable. This removes two strings that
    are awkward for derivatives to brand. Advanced users can preseed
    mirror/suite if they really don't want to go with the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 19:45:29 +0100

base-config (2.67ubuntu2) breezy; urgency=low

  * Fix reversed apt-cdrom logic in apt-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 13:19:24 +0100

base-config (2.67ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Drop obsolete tzsetup-udeb dependency on zoneinfo-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Jul 2005 16:22:23 +0100

base-config (2.67) unstable; urgency=low

  [ Joey Hess ]

