=== debian/control ===
Source: base-config
Section: base
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf, gettext (>= 0.13)
Standards-Version: 3.6.1.0

Package: base-config
Architecture: all
Depends: debconf (>= 1.4.56), apt (>= 0.6.40), adduser, console-data (>= 2002.12.04dbs-16), console-tools, passwd (>= 20000902-6), bsdutils (>= 1:2.11l), debianutils (>= 1.6), gettext-base
Conflicts: tasksel (<< 2.25)
Description: Debian base system configurator
 This package handles setting up the Debian base system. It contains the
 configuration program you see when you install Debian for the first time
 and boot up your new Debian system.
 .
 It can be removed with no ill effects -- once your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some things.

Package: tzsetup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.78), di-utils (>= 1.08ubuntu7), target-base-system, os-prober, rtc-modules
XB-Installer-Menu-Item: 70
Description: Configure timezone
 This package configures the installed system's timezone. (If this package
 isn't used, base-config will do the same job after the first reboot.)

Package: apt-setup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.78), di-utils (>= 1.08ubuntu7), target-base-system
XB-Installer-Menu-Item: 72
Description: Configure apt
 This package configures the APT package manager in the installed system.
 (If this package isn't used, base-config will do the same job after the
 first reboot.)
