=== debian/rules ===
#!/usr/bin/make -f

MASTERLIST=Mirrors.masterlist.ubuntu

build:
ifdef CVSGET
	# Freshen Mirrors.masterlist file, but allow failure.
	if [ "$$ONLINE" != n ]; then \
		if $(CVSGET) > $(MASTERLIST).new \
		   && [ -s "$(MASTERLIST).new" ]; then \
			mv -f $(MASTERLIST).new $(MASTERLIST); \
		else \
			rm -f $(MASTERLIST).new; \
		fi; \
	fi
endif

	$(MAKE) -C po

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make -C po clean
ifdef CVSGET
	if [ ! -s "$(MASTERLIST)" ]; then \
		$(CVSGET) > $(MASTERLIST); \
	fi
endif

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs -pbase-config usr/share/lintian/overrides
	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
	dh_install -pbase-config apt-setup tzsetup base-config termwrap validlocale usr/sbin/
	dh_install -pbase-config lib/* usr/lib/base-config/
	install -m644 $(MASTERLIST) debian/base-config/usr/lib/base-config/Mirrors.masterlist
	make -C po install prefix=`pwd`/debian/base-config

	dh_installdirs -ptzsetup-udeb

	dh_installdirs -papt-setup-udeb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -pbase-config
	dh_installdebconf -ptzsetup-udeb -- --encoding=utf8
	dh_installdebconf -papt-setup-udeb -- --encoding=utf8

	# Merge in all templates.
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po apt-setup.templates >> debian/base-config/DEBIAN/templates
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po tzsetup.templates >> debian/base-config/DEBIAN/templates

	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
