## base-config 2.76

=== debian/changelog ===
base-config (2.76) unstable; urgency=low

  In with the new year and out with the old.. and the end of base-config.
  
  * Remove everything from the package except for some debconf cleanup stuff
    in the postinst and the existing log removal code in the postrm.
    Closes: #319926 - no longer depends on anything
    Closes: #270720 - no longer displays messages
    Closes: #319521 - no longer starts a display manager or anything
    Closes: #243565 - no longer includes problem program
    Closes: #249235 - no longer runs tasksel
    Closes: #275552, #246525 - no longer displays debconf screens
    Closes: #312123 - no longer configures apt
    Closes: #321638 - no longer supports menu entries
    Closes: #306745 - no longer contains said text
    Closes: #232355 - localechooser takes care of setting locale settings
    Closes: #237531 - no longer a second stage so this is basically irrelevant
    Closes: #326109 - no longer involved in X startup; gdm should do this
    anyway
    Closes: #333806, #333807 - no longer contains translatable material
  * This package will be removed from Debian after the next d-i release,
    and you can remove it now..

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Dec 2005 16:27:42 -0500

base-config (2.75) unstable; urgency=low

  The "death march" release.

  [ Joey Hess ]
  * Adjust section to match overrides.

  [ Colin Watson ]
  * Exclude backup files and files under debian/ from the po build system,
    and make sure executables are processed in a consistent order to avoid
    lots of diff noise.
  * Copy passwd/username, so that e.g. exim4-config still works after user
    configuration moves to d-i (closes: #341130).

  [ Joey Hess ]
  * Remove the passwd reconfiguration code, user-setup handles this now in
    d-i.
  * Clean up the intro message to not mention stuff that the ever-shrinking
    base-config no longer does.

  [ Translations ]
  * add Bengali translations (Progga <progga@BengaLinux.Org>)
  * Updated Brazilian Portuguese translation.
  * Updated French translation.
  * Updated Galician translation.
  * Updated Spanish translation.
  * Updated Czech translation.
  * Updated Vietnamese translation. Closes: #343844
  * Updated Swedish translation. Closes: #344055

  [ Man pages translations ]
  * Updated Spanish. Closes: #341456

  [ Joey Hess ]
  * Drop debconf/priority propigation from d-i as d-i no longer propigates it.
    Closes: #228839, #245164
  * Depends on debconf 1.4.61, since this is the first version to default
    the priority to high, which is the priority we need with this change.
    Closes: #228839, #245164
  * Remove debconf-seed menu item, mostly, taken over by preseed 1.11.
    Closes: #276638
    NOTE NOTE NOTE: This means that base-config/early_command is removed.
  * Remove base-config/late_command too, for consistency.
  * pkgsel moved into a udeb. Closes: #240700, #242718, #256315, #259871
    Closes: #247037
  * MTA reconfiguration is not necessary with current debootstrap, since
    no MTA is installed as part of the base system, so the user will see the
    MTA question as usual if their task selection/whatever causes a MTA to be
    installed.
  * The pon menu item is not useful, since base-config no longer accesses the
    net to install packages. Closes: #299554
  * Remove GDM language fixup code, since bug #265101 got fixed.
  * base-config no longer does anything with the network.
    Closes: #106875, #265908, #267242
  * Some other bugs that no longer apply due to removed code in base-config:
    Closes: #246880, #275543
  * Remove d-i debconf variable copying code, now handled by pkgsel.
  * base-config program left in for compatability with old d-i's and such for
    now, but it's essentially a no-op and everything has moved into d-i.
    (d-i also still uses validlocale from this package for now.)
    Next step will be removing this package entirely...

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Dec 2005 15:55:07 -0500

base-config (2.74) unstable; urgency=low

  [ Joey Hess ]
  * Finish removing tzsetup.templates.

  [ Program translations ]
  * update Italian translations (Giuseppe Sacco)
  * update Russian translations po/ru.po by Yuri Kozlov. Closes: #334249
  * update Swedish translation (Daniel Nylander)
  * update Ukrainian translation (Eugeniy Meshcheryakov)
  * update Galician translation (Jacobo Tarrio)

  [ Translation update ]
  * update Swedish translation (Daniel Nylander)
  * update Italian translation (Giuseppe Sacco)

  [ Man pages translation update ]
  * update Polish translation (Robert Luberda). Closes: #335422
  * update Brazilian Portuguese translation (team work)
  * update French translation (Clément Sténac). Closes: #337310

  [ Joey Hess ]
  * Patch from Thomas Huriaux to switch to po4a for manpage translations.
    Closes: #334499
    Note that this fuzzies all man page translations except French; they will
    need to be checked and unfuzzied.

  [ Colin Watson ]
  * Update installer-integration.txt for various old changes and tzsetup
    removal.
  * Remove base-config/menu/timezone template, no longer used.

  [ Christian Perrier ]
  * Remove reference to an unknown file in debian/po/POTFILES.in

  [ Joey Hess ]
  * Remove apt-setup, moved to udeb.
  * No longer copies debian-installer/country and mirror/* from the d-i
    debconf db.
  * Remove keymap setup code, this has been done by kbd-chooser for a long
    time and is redundant.
  * Remove .cvsignore files.
  * Remove hostname setup code. While netcfg is not mandatory in d-i and so
    this code still has some use in edge cases, netcfg *is* run by default in
    all installs, and so the edge cases doen't really justify the code. d-i
    does set a fallback hostname of "localhost" if the user somehow skips
    netcfg.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Nov 2005 20:56:30 -0500

base-config (2.73) unstable; urgency=medium

  [ Program translations ]
  * French updated by Christian Perrier

