=== debian/control ===
Source: base-config
Section: admin
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.13)
Standards-Version: 3.6.2

Package: base-config
Architecture: all
Depends: ${misc:Depends}
Conflicts: tasksel (<< 2.25)
Description: Debian base system configurator (transitional version)
 This package is an empty package that is no longer used. It can be removed
 with no ill effects.
